
package de.ivu.elect.presentation.statistik.action;

import java.util.ArrayList;
import java.util.List;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.business.statistik.entity.StatistikLauf;
import de.ivu.elect.jee.presentation.action.AbstractActionMenuModelBuilder;
import de.ivu.elect.jee.presentation.action.ActionEntry;

@Named(StatistikLaufActionMenu.COMPONENT_NAME)
public class StatistikLaufActionMenu extends AbstractActionMenuModelBuilder<StatistikLauf> {

  public static final String COMPONENT_NAME = "statistikLaufActionMenu";

  private static final long serialVersionUID = 1L;

  @Inject
  StatistikLaufKennzeichenAnzeigenAction statistikLaufKennzeichenAnzeigenAction;

  @Inject
  private StatistikLaufExportAction exportAction;

  @Inject
  private StatistikLaufEditAction editAction;

  @Inject
  private StatistikLaufDeleteAction deleteAction;

  public StatistikLaufActionMenu() {
    super();
  }

  @Override
  protected List<ActionEntry<StatistikLauf>> getActionEntriesSorted() {
    List<ActionEntry<StatistikLauf>> result = new ArrayList<>();

    result.add(statistikLaufKennzeichenAnzeigenAction);
    result.add(editAction);
    result.add(exportAction);
    result.add(deleteAction);

    return result;
  }
}
